Subject: bug#25360: File mode specification errors during building

From: Eli Zaretskii <[email-masked]>
Date: Fri, 13 Jan 2017 16:19:01 +0200

> From: [email-masked] (Phillip Lord)
> Cc: [email-masked],  [email-masked]
> Date: Fri, 13 Jan 2017 14:08:55 +0000
> 
> So, the cause of the problem is this. bootstrap-emacs (nor emacs) does
> not actually load loaddefs.el; it's just dumped with the binary. I was
> recording autoloads until loaddefs.el was generated, but actually, I
> need to record them till loaddefs.el is used, that is when emacs is
> dumped.
> 
> The attached patch seems to address. Can you confirm, then I will apply
> to master.

Looks OK, but I guess the comment before the changed code needs to be
updated as well?

Thanks.